{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/account_data') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/account_data') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>
        {{ form_widget(accountDataForm.save, {'label': 'SPEICHERN', 'id': accountDataForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Betreiberdaten</h2>
                {{ form_start(accountDataForm, {'attr': {'id': accountDataForm.vars.id ~ '_form'}}) }}
                {% include 'configuration/form/basic_settings/account_data_form.html.twig' with {'form': accountDataForm} only %}
                {{ form_row(accountDataForm._token) }}
                {{ form_end(accountDataForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
